function [g1, T_order, T] = dynamic_g1(y, x, params, steady_state, sparse_rowval, sparse_colval, sparse_colptr, T_order, T)
if nargin < 9
    T_order = -1;
    T = NaN(79, 1);
end
[T_order, T] = dw_AF13.sparse.dynamic_g1_tt(y, x, params, steady_state, T_order, T);
g1_v = NaN(146, 1);
g1_v(1)=(-(1-params(30)));
g1_v(2)=1-params(30);
g1_v(3)=(-y(54))/(y(3)*y(3));
g1_v(4)=(-(y(50)*(-((-y(54))/(y(3)*y(3))))));
g1_v(5)=(-(T(14)*T(40)*2*T(15)))-T(16)*(exp(T(15)*(-params(20)))*(-params(20))*T(40)+params(20)*T(40));
g1_v(6)=(-((params(19)-1)*T(40)))-T(17)*(-(exp(T(15)*(-params(20)))*(-params(20))*T(40)));
g1_v(7)=(-(y(47)*params(1)*(-y(38))/(y(7)*y(7))));
g1_v(8)=(-(T(33)*T(50)*T(51)));
g1_v(9)=(-((1-params(5))/params(1)));
g1_v(10)=(-(T(24)*T(54)*2*T(25)))-T(26)*(exp(T(25)*(-params(18)))*(-params(18))*T(54)+params(18)*T(54));
g1_v(11)=(-((params(16)-1)*T(54)))-T(27)*(-(exp(T(25)*(-params(18)))*(-params(18))*T(54)));
g1_v(12)=(-((-(y(46)*y(51)))/(y(15)*y(15))));
g1_v(13)=(-(T(37)*T(67)));
g1_v(14)=(-params(23));
g1_v(15)=(-params(26));
g1_v(16)=1;
g1_v(17)=(-y(37));
g1_v(18)=(-(params(29)/y(60)))/(y(32)*y(32));
g1_v(19)=1;
g1_v(20)=1;
g1_v(21)=1;
g1_v(22)=(-((-(T(4)*y(85)*y(65)*2*y(34)))/(T(5)*T(5))));
g1_v(23)=(-((-(T(13)*2*y(34)))/(T(5)*T(5))));
g1_v(24)=(-(T(14)*2*T(15)*T(41)))-T(16)*(exp(T(15)*(-params(20)))*(-params(20))*T(41)+params(20)*T(41));
g1_v(25)=(-((params(19)-1)*T(41)))-T(17)*(-(exp(T(15)*(-params(20)))*(-params(20))*T(41)));
g1_v(26)=(-(T(23)*T(42)));
g1_v(27)=(-((-(y(42)*params(4)))/(y(34)*y(34))));
g1_v(28)=y(38)*y(39);
g1_v(29)=(-(params(28)*T(43)*T(44)));
g1_v(30)=(-(params(28)*T(43)*T(45)));
g1_v(31)=1;
g1_v(32)=1;
g1_v(33)=(-(params(28)*T(44)*T(46)));
g1_v(34)=(-(params(28)*T(45)*T(46)));
g1_v(35)=(-y(32));
g1_v(36)=1+y(39);
g1_v(37)=1+y(39)*y(50);
g1_v(38)=y(34)*y(39);
g1_v(39)=(-(y(47)*params(1)*1/y(7)));
g1_v(40)=y(38);
g1_v(41)=(-1);
g1_v(42)=y(38)*y(50);
g1_v(43)=1;
g1_v(44)=y(34)*y(38);
g1_v(45)=(-(y(41)/T(6)));
g1_v(46)=1;
g1_v(47)=(-(y(40)/T(6)));
g1_v(48)=(-(T(18)*T(47)*2*T(19)))-T(20)*(exp(T(19)*(-params(15)))*(-params(15))*T(47)+params(15)*T(47));
g1_v(49)=(-((params(14)-1)*T(47)))-T(21)*(-(exp(T(19)*(-params(15)))*(-params(15))*T(47)));
g1_v(50)=1;
g1_v(51)=1;
g1_v(52)=(-(params(4)/y(34)));
g1_v(53)=(-(y(56)*(1-params(4))/y(44)));
g1_v(54)=(-(1-y(57)));
g1_v(55)=(-(y(78)*y(89)*(-(T(4)*y(73)))/(y(42)*y(42))));
g1_v(56)=(-(T(33)*T(51)*T(52)));
g1_v(57)=(-y(56));
g1_v(58)=(-(y(56)*y(50)));
g1_v(59)=1;
g1_v(60)=(-(T(22)*T(53)));
g1_v(61)=(-((-(y(42)*y(56)*(1-params(4))))/(y(44)*y(44))));
g1_v(62)=1;
g1_v(63)=1;
g1_v(64)=(-1);
g1_v(65)=(-1);
g1_v(66)=(-(T(24)*2*T(25)*T(55)))-T(26)*(exp(T(25)*(-params(18)))*(-params(18))*T(55)+params(18)*T(55));
g1_v(67)=(-((params(16)-1)*T(55)))-T(27)*(-(exp(T(25)*(-params(18)))*(-params(18))*T(55)));
g1_v(68)=(-(y(51)/y(15)-T(29)*T(56)*T(57)));
g1_v(69)=1+y(52);
g1_v(70)=(-((-(y(40)*y(41)*T(59)))/(T(6)*T(6))));
g1_v(71)=(-(T(18)*2*T(19)*T(60)))-T(20)*(exp(T(19)*(-params(15)))*(-params(15))*T(60)+params(15)*T(60));
g1_v(72)=(-((params(14)-1)*T(60)))-T(21)*(-(exp(T(19)*(-params(15)))*(-params(15))*T(60)));
g1_v(73)=y(58);
g1_v(74)=(-(params(12)/2*2*(y(47)-1)));
g1_v(75)=(-params(12));
g1_v(76)=(-(params(1)*y(38)/y(7)));
g1_v(77)=(-(T(33)*T(51)*T(35)*T(61)));
g1_v(78)=1;
g1_v(79)=(-((-1)/(y(48)*y(48))));
g1_v(80)=1;
g1_v(81)=(-((-(params(10)*(1-params(10))))/((params(10)+y(49)*(1-params(10)))*(params(10)+y(49)*(1-params(10))))));
g1_v(82)=1;
g1_v(83)=y(38)*y(39)-(T(4)*y(85)*y(65)/T(5)+T(11)+y(50)*T(3)*T(64)-params(3));
g1_v(84)=1;
g1_v(85)=(-(y(46)/y(15)));
g1_v(86)=1;
g1_v(87)=(-1);
g1_v(88)=y(46);
g1_v(89)=1;
g1_v(90)=1;
g1_v(91)=T(41);
g1_v(92)=(-(y(50)*(-T(41))));
g1_v(93)=1;
g1_v(94)=1;
g1_v(95)=1;
g1_v(96)=(-y(43));
g1_v(97)=(-(y(43)*y(50)));
g1_v(98)=(-(y(42)*(1-params(4))/y(44)));
g1_v(99)=(-params(13));
g1_v(100)=y(42);
g1_v(101)=(-params(13));
g1_v(102)=1;
g1_v(103)=y(47);
g1_v(104)=1;
g1_v(105)=T(68);
g1_v(106)=1;
g1_v(107)=(-params(29))/(y(60)*y(60))/y(32)-(T(70)+y(65)*y(85)*T(71)/T(5));
g1_v(108)=T(8)*y(71)*T(72)/T(9);
g1_v(109)=(-(y(50)*T(10)*T(70)+y(65)*y(85)*(-(y(91)*params(2)*y(50)))/(y(60)*y(60))/T(5)));
g1_v(110)=T(30)*T(73);
g1_v(111)=(-((1-params(5))*y(84)*T(71)/params(1)));
g1_v(112)=1;
g1_v(113)=1;
g1_v(114)=(-(y(78)*y(89)*y(73)*T(71)/y(42)));
g1_v(115)=(-(T(22)*T(23)));
g1_v(116)=1;
g1_v(117)=(-T(31));
g1_v(118)=1;
g1_v(119)=(-T(38));
g1_v(120)=(-(y(50)*T(10)*T(38)));
g1_v(121)=(-(y(50)*T(3)*T(39)));
g1_v(122)=(-(T(4)*y(85)/T(5)));
g1_v(123)=(-(T(12)/T(5)));
g1_v(124)=T(7)*T(8)/T(9);
g1_v(125)=T(7)*y(71)*2*y(72)/T(9);
g1_v(126)=(-(y(78)*y(89)*T(4)/y(42)));
g1_v(127)=T(29)*T(58);
g1_v(128)=(-(T(7)*y(71)*T(8)*T(62)))/(T(9)*T(9));
g1_v(129)=T(63);
g1_v(130)=(-(T(4)*y(73)/y(42)*y(89)));
g1_v(131)=(-(y(50)*T(3)*T(65)));
g1_v(132)=T(28)*T(30);
g1_v(133)=(-((1-params(5))*T(4)/params(1)));
g1_v(134)=(-(T(4)*y(65)/T(5)));
g1_v(135)=(-(y(65)*y(91)*params(2)*y(50)/y(60)/T(5)));
g1_v(136)=(-(y(78)*T(4)*y(73)/y(42)));
g1_v(137)=(-(T(76)+y(65)*y(85)*T(77)/T(5)));
g1_v(138)=T(8)*y(71)*T(78)/T(9);
g1_v(139)=(-(y(50)*T(10)*T(76)+y(65)*y(85)*params(2)*y(50)/y(60)/T(5)));
g1_v(140)=T(30)*y(82)*params(2)*1/y(60);
g1_v(141)=(-((1-params(5))*y(84)*T(77)/params(1)));
g1_v(142)=T(79);
g1_v(143)=(-(y(78)*y(89)*y(73)*T(77)/y(42)));
g1_v(144)=(-params(27));
g1_v(145)=(-(T(37)*T(32)*(-params(25))*exp((-params(25))*x(2))));
g1_v(146)=(-params(24));
if ~isoctave && matlab_ver_less_than('9.8')
    sparse_rowval = double(sparse_rowval);
    sparse_colval = double(sparse_colval);
end
g1 = sparse(sparse_rowval, sparse_colval, g1_v, 31, 96);
end
