function [residual, T_order, T] = dynamic_resid(y, x, params, steady_state, T_order, T)
if nargin < 6
    T_order = -1;
    T = NaN(37, 1);
end
[T_order, T] = dw_AF13.sparse.dynamic_resid_tt(y, x, params, steady_state, T_order, T);
residual = NaN(31, 1);
    residual(1) = (y(32)) - (params(28)*T(1)^(-params(9)));
    residual(2) = (y(33)) - (params(28)*T(1)^(1-params(9)));
    residual(3) = (y(34)) - ((1-params(30))*y(3)+y(32)*y(37));
    residual(4) = (y(35)) - (1-(1-params(30))*y(3));
    residual(5) = (y(36)) - (1-y(34));
    residual(6) = (params(29)/y(60)/y(32)) - (y(56)*y(43)-y(38)*(1+y(39))-y(54)/y(3)+T(3)+T(4)*y(85)*y(65)/T(5));
    residual(7) = (y(49)) - (1+y(39)+y(40)*y(41)/T(6)-T(7)*y(71)*T(8)/T(9));
    residual(8) = (y(50)) - (params(10)/(params(10)+y(49)*(1-params(10))));
    residual(9) = (y(38)*(1+y(39)*y(50))) - (y(50)*T(11)+T(13)/T(5)+(1-y(50))*params(3));
residual(10) = y(55)-T(14)*T(15)^2-T(16)*(exp(T(15)*(-params(20)))+T(15)*params(20)-1);
residual(11) = y(54)-(params(19)-1)*T(15)-T(17)*(1-exp(T(15)*(-params(20))));
residual(12) = y(39)-T(18)*T(19)^2-T(20)*(exp(T(19)*(-params(15)))+T(19)*params(15)-1);
residual(13) = y(40)-(params(14)-1)*T(19)-T(21)*(1-exp(T(19)*(-params(15))));
    residual(14) = (y(42)) - (T(22)*T(23));
    residual(15) = (y(43)) - (y(42)*params(4)/y(34));
    residual(16) = (y(45)) - (y(42)*y(56)*(1-params(4))/y(44));
residual(17) = y(44)-(1-params(5))*y(13)/params(1)-y(46);
residual(18) = y(52)-T(24)*T(25)^2-T(26)*(exp(T(25)*(-params(18)))+T(25)*params(18)-1);
residual(19) = y(51)-(params(16)-1)*T(25)-T(27)*(1-exp(T(25)*(-params(18))));
    residual(20) = (y(53)) - (1+y(52)+y(46)*y(51)/y(15)-T(29)*T(30));
    residual(21) = (y(53)) - (y(45)+T(4)/params(1)*(1-params(5))*y(84));
    residual(22) = (y(46)+y(48)) - (y(42)*(1-y(57))-y(34)*y(38)*y(39)-y(46)*y(52)-y(55));
    residual(23) = (y(60)) - (T(31));
    residual(24) = (y(60)) - (1/y(48));
    residual(25) = (y(47)*y(58)) - (params(13)*(y(56)+y(57))-(params(13)-1)+y(78)*T(4)*y(73)/y(42)*y(89));
    residual(26) = (y(57)) - (params(12)/2*(y(47)-1)^2);
    residual(27) = (y(58)) - (params(12)*(y(47)-1));
    residual(28) = (y(41)) - (y(47)*params(1)*y(38)/y(7));
    residual(29) = (y(59)) - (T(33)*T(37));
    residual(30) = (y(61)) - (params(23)*y(30)+params(24)*x(3));
    residual(31) = (y(62)) - (params(26)*y(31)+params(27)*x(1));
end
