function g1 = static_g1(T, y, x, params, T_flag)
% function g1 = static_g1(T, y, x, params, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%                                              to evaluate the model
%   T_flag    boolean                 boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   g1
%

if T_flag
    T = dw_AF13.static_g1_tt(T, y, x, params);
end
g1 = zeros(31, 31);
g1(1,1)=1;
g1(1,4)=(-(params(28)*(-y(6))/(y(4)*y(4))*T(18)));
g1(1,6)=(-(params(28)*T(18)*1/y(4)));
g1(2,2)=1;
g1(2,4)=(-(params(28)*(-y(6))/(y(4)*y(4))*T(19)));
g1(2,6)=(-(params(28)*T(19)*1/y(4)));
g1(3,1)=(-y(6));
g1(3,3)=1-(1-params(30));
g1(3,6)=(-y(1));
g1(4,3)=1-params(30);
g1(4,4)=1;
g1(5,3)=1;
g1(5,5)=1;
g1(6,1)=(-(params(29)/y(29)))/(y(1)*y(1))-T(17);
g1(6,3)=(-((y(23)*params(2)*T(3)-y(3)*y(23)*params(2)*2*y(3))/(T(3)*T(3))-(-y(23))/(y(3)*y(3))));
g1(6,7)=1+y(8);
g1(6,8)=y(7);
g1(6,12)=(-y(25));
g1(6,23)=(-(y(3)*params(2)/T(3)-1/y(3)));
g1(6,25)=(-y(12));
g1(6,29)=(-params(29))/(y(29)*y(29))/y(1)-T(23);
g1(7,8)=(-1);
g1(7,9)=(-(y(10)/T(4)-(1-params(30))*params(2)/params(1)*T(5)/T(6)));
g1(7,10)=(-(y(9)/T(4)-y(9)*(1-params(30))*params(2)/params(1)*2*y(10)/T(6)));
g1(7,16)=(-((-(y(9)*y(10)*T(21)))/(T(4)*T(4))-(-(y(9)*(1-params(30))*params(2)/params(1)*T(5)*getPowerDeriv(y(16),1+params(11),1)))/(T(6)*T(6))));
g1(7,18)=1;
g1(8,18)=(-((-(params(10)*(1-params(10))))/((params(10)+y(18)*(1-params(10)))*(params(10)+y(18)*(1-params(10))))));
g1(8,19)=1;
g1(9,1)=(-(y(19)*T(7)*T(17)));
g1(9,2)=(-(y(19)*T(2)*(-(y(19)*(-(1-y(19)))/(y(19)*(1-y(19)))))));
g1(9,3)=(-(y(19)*(-((-y(23))/(y(3)*y(3))))+(T(3)*y(23)*params(2)*y(19)-y(3)*y(23)*params(2)*y(19)*2*y(3))/(T(3)*T(3))));
g1(9,7)=1+y(8)*y(19);
g1(9,8)=y(7)*y(19);
g1(9,12)=(-(y(25)*y(19)));
g1(9,19)=y(7)*y(8)-(y(3)*y(23)*params(2)/T(3)+T(8)+y(19)*T(2)*(-((y(19)*(1-y(19))*((1-y(2))*(1-y(19))+y(19)*(-(1-y(2))))-y(19)*(1-y(2))*(1-y(19))*(1-y(19)-y(19)))/(y(19)*(1-y(19))*y(19)*(1-y(19)))))-params(3));
g1(9,23)=(-(y(19)*(-(1/y(3)))+y(3)*params(2)*y(19)/T(3)));
g1(9,25)=(-(y(12)*y(19)));
g1(9,29)=(-(y(19)*T(7)*T(23)));
g1(10,24)=1;
g1(11,23)=1;
g1(12,8)=1;
g1(12,10)=(-((params(14)-1)/2*T(20)*2*T(9)))-T(10)*(exp(T(9)*(-params(15)))*(-params(15))*T(20)+params(15)*T(20));
g1(12,16)=(-((params(14)-1)/2*2*T(9)*T(22)))-T(10)*(exp(T(9)*(-params(15)))*(-params(15))*T(22)+params(15)*T(22));
g1(13,9)=1;
g1(13,10)=(-((params(14)-1)*T(20)))-1/params(15)*(-(exp(T(9)*(-params(15)))*(-params(15))*T(20)));
g1(13,16)=(-((params(14)-1)*T(22)))-1/params(15)*(-(exp(T(9)*(-params(15)))*(-params(15))*T(22)));
g1(14,3)=(-(T(12)*exp(y(30))*getPowerDeriv(y(3),params(4),1)));
g1(14,11)=1;
g1(14,13)=(-(T(11)*getPowerDeriv(y(13),1-params(4),1)));
g1(14,30)=(-(T(11)*T(12)));
g1(15,3)=(-((-(y(11)*params(4)))/(y(3)*y(3))));
g1(15,11)=(-(params(4)/y(3)));
g1(15,12)=1;
g1(16,11)=(-(y(25)*(1-params(4))/y(13)));
g1(16,13)=(-((-(y(11)*y(25)*(1-params(4))))/(y(13)*y(13))));
g1(16,14)=1;
g1(16,25)=(-(y(11)*(1-params(4))/y(13)));
g1(17,13)=1-(1-params(5))/params(1);
g1(17,15)=(-1);
g1(18,21)=1;
g1(19,20)=1;
g1(20,20)=(-(1-params(2)));
g1(20,21)=(-1);
g1(20,22)=1;
g1(21,14)=(-1);
g1(21,22)=1-(1-params(5))*params(2)/params(1);
g1(22,3)=y(7)*y(8);
g1(22,7)=y(3)*y(8);
g1(22,8)=y(3)*y(7);
g1(22,11)=(-(1-y(26)));
g1(22,15)=1+y(21);
g1(22,17)=1;
g1(22,21)=y(15);
g1(22,24)=1;
g1(22,26)=y(11);
g1(23,16)=(-((-(y(29)*params(2)*y(28)*exp(y(31))/params(1)))/(y(16)*y(16))));
g1(23,28)=(-(y(29)*params(2)*exp(y(31))/params(1)/y(16)));
g1(23,29)=1-params(2)*y(28)*exp(y(31))/params(1)/y(16);
g1(23,31)=(-T(13));
g1(24,17)=(-((-1)/(y(17)*y(17))));
g1(24,29)=1;
g1(25,16)=y(27)-params(2)*y(27);
g1(25,25)=(-params(13));
g1(25,26)=(-params(13));
g1(25,27)=y(16)-params(2)*y(16);
g1(26,16)=(-(params(12)/2*2*(y(16)-1)));
g1(26,26)=1;
g1(27,16)=(-params(12));
g1(27,27)=1;
g1(28,10)=1;
g1(28,16)=(-params(1));
g1(29,16)=(-(T(14)*params(1)/params(2)*getPowerDeriv(y(16),params(7),1)*getPowerDeriv(T(15),1-params(6),1)));
g1(29,28)=1-T(16)*exp((-params(25))*x(2))*getPowerDeriv(y(28),params(6),1);
g1(30,30)=1-params(23);
g1(31,31)=1-params(26);

end
