function T = static_g1_tt(T, y, x, params)
% function T = static_g1_tt(T, y, x, params)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%
% Output:
%   T         [#temp variables by 1]  double   vector of temporary terms
%

assert(length(T) >= 23);

T = dw_AF13.static_resid_tt(T, y, x, params);

T(17) = (-(params(29)*(1-params(30))*params(2)/y(29)))/(y(1)*y(1));
T(18) = getPowerDeriv(T(1),(-params(9)),1);
T(19) = getPowerDeriv(T(1),1-params(9),1);
T(20) = 1/T(4);
T(21) = getPowerDeriv(y(16),params(11),1);
T(22) = (-(y(10)*T(21)))/(T(4)*T(4));
T(23) = (-(params(29)*(1-params(30))*params(2)))/(y(29)*y(29))/y(1);

end
