function [lhs, rhs] = static_resid(y, x, params)
T = NaN(16, 1);
lhs = NaN(31, 1);
rhs = NaN(31, 1);
T(1) = y(6)/y(4);
T(2) = params(29)*(1-params(30))*params(2)/y(29)/y(1);
T(3) = y(3)^2;
T(4) = y(16)^params(11);
T(5) = y(10)^2;
T(6) = y(16)^(1+params(11));
T(7) = 1-y(19)*(1-y(2))*(1-y(19))/(y(19)*(1-y(19)));
T(8) = y(25)*y(12)-y(23)/y(3)+T(2)*T(7);
T(9) = y(10)/T(4)-params(1);
T(10) = 1/params(15)^2;
T(11) = exp(y(30))*y(3)^params(4);
T(12) = y(13)^(1-params(4));
T(13) = y(29)*params(2)*y(28)*exp(y(31))/params(1)/y(16);
T(14) = exp((-params(25))*x(2))*y(28)^params(6);
T(15) = params(1)/params(2)*y(16)^params(7);
T(16) = T(15)^(1-params(6));
lhs(1) = y(1);
rhs(1) = params(28)*T(1)^(-params(9));
lhs(2) = y(2);
rhs(2) = params(28)*T(1)^(1-params(9));
lhs(3) = y(3);
rhs(3) = y(3)*(1-params(30))+y(1)*y(6);
lhs(4) = y(4);
rhs(4) = 1-y(3)*(1-params(30));
lhs(5) = y(5);
rhs(5) = 1-y(3);
lhs(6) = params(29)/y(29)/y(1);
rhs(6) = y(25)*y(12)-y(7)*(1+y(8))-y(23)/y(3)+T(2)+y(3)*y(23)*params(2)/T(3);
lhs(7) = y(18);
rhs(7) = 1+y(8)+y(9)*y(10)/T(4)-y(9)*(1-params(30))*params(2)/params(1)*T(5)/T(6);
lhs(8) = y(19);
rhs(8) = params(10)/(params(10)+y(18)*(1-params(10)));
lhs(9) = y(7)*(1+y(8)*y(19));
rhs(9) = y(19)*T(8)+y(3)*y(23)*params(2)*y(19)/T(3)+(1-y(19))*params(3);
lhs(10) = y(24);
rhs(10) = 0;
lhs(11) = y(23);
rhs(11) = 0;
lhs(12) = y(8)-(params(14)-1)/2*T(9)^2-T(10)*(exp(T(9)*(-params(15)))+T(9)*params(15)-1);
rhs(12) = 0;
lhs(13) = y(9)-(params(14)-1)*T(9)-1/params(15)*(1-exp(T(9)*(-params(15))));
rhs(13) = 0;
lhs(14) = y(11);
rhs(14) = T(11)*T(12);
lhs(15) = y(12);
rhs(15) = y(11)*params(4)/y(3);
lhs(16) = y(14);
rhs(16) = y(11)*y(25)*(1-params(4))/y(13);
lhs(17) = y(13)-y(13)*(1-params(5))/params(1)-y(15);
rhs(17) = 0;
lhs(18) = y(21);
rhs(18) = 0;
lhs(19) = y(20);
rhs(19) = 0;
lhs(20) = y(22);
rhs(20) = y(20)+1+y(21)-params(2)*y(20);
lhs(21) = y(22);
rhs(21) = y(14)+params(2)/params(1)*(1-params(5))*y(22);
lhs(22) = y(15)+y(17);
rhs(22) = y(11)*(1-y(26))-y(3)*y(7)*y(8)-y(15)*y(21)-y(24);
lhs(23) = y(29);
rhs(23) = T(13);
lhs(24) = y(29);
rhs(24) = 1/y(17);
lhs(25) = y(16)*y(27);
rhs(25) = params(13)*(y(25)+y(26))-(params(13)-1)+y(16)*params(2)*y(27);
lhs(26) = y(26);
rhs(26) = params(12)/2*(y(16)-1)^2;
lhs(27) = y(27);
rhs(27) = params(12)*(y(16)-1);
lhs(28) = y(10);
rhs(28) = y(16)*params(1);
lhs(29) = y(28);
rhs(29) = T(14)*T(16);
lhs(30) = y(30);
rhs(30) = y(30)*params(23)+params(24)*x(3);
lhs(31) = y(31);
rhs(31) = y(31)*params(26)+params(27)*x(1);
end
