function [T_order, T] = dynamic_g1_tt(y, x, params, steady_state, T_order, T)
if T_order >= 1
    return
end
[T_order, T] = dw_AF13.sparse.dynamic_resid_tt(y, x, params, steady_state, T_order, T);
T_order = 1;
if size(T, 1) < 79
    T = [T; NaN(79 - size(T, 1), 1)];
end
T(38) = (-T(2))/(y(63)*y(63));
T(39) = (-(y(81)*(-(1-y(50)))/(y(50)*(1-y(81)))));
T(40) = (-y(34))/(y(3)*y(3));
T(41) = 1/y(3);
T(42) = exp(y(61))*getPowerDeriv(y(34),params(4),1);
T(43) = (-y(37))/(y(35)*y(35));
T(44) = getPowerDeriv(T(1),(-params(9)),1);
T(45) = getPowerDeriv(T(1),1-params(9),1);
T(46) = 1/y(35);
T(47) = 1/T(6);
T(48) = (-y(42))/(y(11)*y(11));
T(49) = getPowerDeriv(y(42)/y(11),params(8),1);
T(50) = T(34)*T(48)*T(49);
T(51) = getPowerDeriv(T(36),1-params(6),1);
T(52) = T(34)*T(49)*1/y(11);
T(53) = getPowerDeriv(y(44),1-params(4),1);
T(54) = (-y(46))/(y(15)*y(15));
T(55) = 1/y(15);
T(56) = (-y(77))/(y(46)*y(46));
T(57) = 2*y(77)/y(46);
T(58) = T(57)*1/y(46);
T(59) = getPowerDeriv(y(47),params(11),1);
T(60) = (-(y(41)*T(59)))/(T(6)*T(6));
T(61) = params(1)/params(2)*getPowerDeriv(y(47),params(7),1);
T(62) = getPowerDeriv(y(78),1+params(11),1);
T(63) = (-((-(y(91)*params(2)*y(59)*exp(y(62))/params(1)))/(y(78)*y(78))));
T(64) = (-((y(50)*(1-y(81))*y(81)*(-(1-y(64)))-(1-y(64))*(1-y(50))*y(81)*(1-y(81)))/(y(50)*(1-y(81))*y(50)*(1-y(81)))));
T(65) = (-(((1-y(64))*(1-y(50))*y(50)*(1-y(81))-(1-y(64))*(1-y(50))*y(81)*(-y(50)))/(y(50)*(1-y(81))*y(50)*(1-y(81)))));
T(66) = getPowerDeriv(y(28),params(6),1);
T(67) = exp((-params(25))*x(2))*T(66);
T(68) = (-(y(91)*params(2)*exp(y(62))/params(1)/y(78)));
T(69) = params(29)*(-((1-params(30))*params(2)*y(91)))/(y(60)*y(60))/y(91);
T(70) = T(69)/y(63);
T(71) = (-(params(2)*y(91)))/(y(60)*y(60));
T(72) = (-((1-params(30))*params(2)*y(91)))/(y(60)*y(60))/params(1);
T(73) = y(82)*params(2)*(-y(91))/(y(60)*y(60));
T(74) = y(91)*params(29)*(1-params(30))*params(2)/y(60)-params(29)*(1-params(30))*params(2)*y(91)/y(60);
T(75) = T(74)/(y(91)*y(91));
T(76) = T(75)/y(63);
T(77) = params(2)/y(60);
T(78) = (1-params(30))*params(2)/y(60)/params(1);
T(79) = (-(params(2)*y(59)*exp(y(62))/params(1)/y(78)));
end
