function [T_order, T] = dynamic_g2_tt(y, x, params, steady_state, T_order, T)
if T_order >= 2
    return
end
[T_order, T] = dw_AF13.sparse.dynamic_g1_tt(y, x, params, steady_state, T_order, T);
T_order = 2;
if size(T, 1) < 95
    T = [T; NaN(95 - size(T, 1), 1)];
end
T(80) = getPowerDeriv(T(1),(-params(9)),2);
T(81) = getPowerDeriv(T(1),1-params(9),2);
T(82) = (-1)/(y(3)*y(3));
T(83) = (-((-((1-params(30))*params(2)*y(91)))*(y(60)+y(60))))/(y(60)*y(60)*y(60)*y(60));
T(84) = params(29)*T(83)/y(91)/y(63);
T(85) = (-((-(params(2)*y(91)))*(y(60)+y(60))))/(y(60)*y(60)*y(60)*y(60));
T(86) = (y(91)*params(29)*(-((1-params(30))*params(2)))/(y(60)*y(60))-params(29)*(-((1-params(30))*params(2)*y(91)))/(y(60)*y(60)))/(y(91)*y(91))/y(63);
T(87) = (-(T(74)*(y(91)+y(91))))/(y(91)*y(91)*y(91)*y(91))/y(63);
T(88) = getPowerDeriv(y(47),params(11),2);
T(89) = (-((-y(34))*(y(3)+y(3))))/(y(3)*y(3)*y(3)*y(3));
T(90) = (-T(59))/(T(6)*T(6));
T(91) = (T(6)*T(6)*(-(y(41)*T(88)))-(-(y(41)*T(59)))*(T(6)*T(59)+T(6)*T(59)))/(T(6)*T(6)*T(6)*T(6));
T(92) = (-((-y(46))*(y(15)+y(15))))/(y(15)*y(15)*y(15)*y(15));
T(93) = (-1)/(y(15)*y(15));
T(94) = getPowerDeriv(y(42)/y(11),params(8),2);
T(95) = getPowerDeriv(T(36),1-params(6),2);
end
