function [g1, T_order, T] = static_g1(y, x, params, sparse_rowval, sparse_colval, sparse_colptr, T_order, T)
if nargin < 8
    T_order = -1;
    T = NaN(23, 1);
end
[T_order, T] = dw_AF13.sparse.static_g1_tt(y, x, params, T_order, T);
g1_v = NaN(95, 1);
g1_v(1)=1;
g1_v(2)=(-y(6));
g1_v(3)=(-(params(29)/y(29)))/(y(1)*y(1))-T(17);
g1_v(4)=(-(y(19)*T(7)*T(17)));
g1_v(5)=1;
g1_v(6)=(-(y(19)*T(2)*(-(y(19)*(-(1-y(19)))/(y(19)*(1-y(19)))))));
g1_v(7)=1-(1-params(30));
g1_v(8)=1-params(30);
g1_v(9)=1;
g1_v(10)=(-((y(23)*params(2)*T(3)-y(3)*y(23)*params(2)*2*y(3))/(T(3)*T(3))-(-y(23))/(y(3)*y(3))));
g1_v(11)=(-(y(19)*(-((-y(23))/(y(3)*y(3))))+(T(3)*y(23)*params(2)*y(19)-y(3)*y(23)*params(2)*y(19)*2*y(3))/(T(3)*T(3))));
g1_v(12)=(-(T(12)*exp(y(30))*getPowerDeriv(y(3),params(4),1)));
g1_v(13)=(-((-(y(11)*params(4)))/(y(3)*y(3))));
g1_v(14)=y(7)*y(8);
g1_v(15)=(-(params(28)*(-y(6))/(y(4)*y(4))*T(18)));
g1_v(16)=(-(params(28)*(-y(6))/(y(4)*y(4))*T(19)));
g1_v(17)=1;
g1_v(18)=1;
g1_v(19)=(-(params(28)*T(18)*1/y(4)));
g1_v(20)=(-(params(28)*T(19)*1/y(4)));
g1_v(21)=(-y(1));
g1_v(22)=1+y(8);
g1_v(23)=1+y(8)*y(19);
g1_v(24)=y(3)*y(8);
g1_v(25)=y(7);
g1_v(26)=(-1);
g1_v(27)=y(7)*y(19);
g1_v(28)=1;
g1_v(29)=y(3)*y(7);
g1_v(30)=(-(y(10)/T(4)-(1-params(30))*params(2)/params(1)*T(5)/T(6)));
g1_v(31)=1;
g1_v(32)=(-(y(9)/T(4)-y(9)*(1-params(30))*params(2)/params(1)*2*y(10)/T(6)));
g1_v(33)=(-((params(14)-1)/2*T(20)*2*T(9)))-T(10)*(exp(T(9)*(-params(15)))*(-params(15))*T(20)+params(15)*T(20));
g1_v(34)=(-((params(14)-1)*T(20)))-1/params(15)*(-(exp(T(9)*(-params(15)))*(-params(15))*T(20)));
g1_v(35)=1;
g1_v(36)=1;
g1_v(37)=(-(params(4)/y(3)));
g1_v(38)=(-(y(25)*(1-params(4))/y(13)));
g1_v(39)=(-(1-y(26)));
g1_v(40)=(-y(25));
g1_v(41)=(-(y(25)*y(19)));
g1_v(42)=1;
g1_v(43)=(-(T(11)*getPowerDeriv(y(13),1-params(4),1)));
g1_v(44)=(-((-(y(11)*y(25)*(1-params(4))))/(y(13)*y(13))));
g1_v(45)=1-(1-params(5))/params(1);
g1_v(46)=1;
g1_v(47)=(-1);
g1_v(48)=(-1);
g1_v(49)=1+y(21);
g1_v(50)=(-((-(y(9)*y(10)*T(21)))/(T(4)*T(4))-(-(y(9)*(1-params(30))*params(2)/params(1)*T(5)*getPowerDeriv(y(16),1+params(11),1)))/(T(6)*T(6))));
g1_v(51)=(-((params(14)-1)/2*2*T(9)*T(22)))-T(10)*(exp(T(9)*(-params(15)))*(-params(15))*T(22)+params(15)*T(22));
g1_v(52)=(-((params(14)-1)*T(22)))-1/params(15)*(-(exp(T(9)*(-params(15)))*(-params(15))*T(22)));
g1_v(53)=(-((-(y(29)*params(2)*y(28)*exp(y(31))/params(1)))/(y(16)*y(16))));
g1_v(54)=y(27)-params(2)*y(27);
g1_v(55)=(-(params(12)/2*2*(y(16)-1)));
g1_v(56)=(-params(12));
g1_v(57)=(-params(1));
g1_v(58)=(-(T(14)*params(1)/params(2)*getPowerDeriv(y(16),params(7),1)*getPowerDeriv(T(15),1-params(6),1)));
g1_v(59)=1;
g1_v(60)=(-((-1)/(y(17)*y(17))));
g1_v(61)=1;
g1_v(62)=(-((-(params(10)*(1-params(10))))/((params(10)+y(18)*(1-params(10)))*(params(10)+y(18)*(1-params(10))))));
g1_v(63)=1;
g1_v(64)=y(7)*y(8)-(y(3)*y(23)*params(2)/T(3)+T(8)+y(19)*T(2)*(-((y(19)*(1-y(19))*((1-y(2))*(1-y(19))+y(19)*(-(1-y(2))))-y(19)*(1-y(2))*(1-y(19))*(1-y(19)-y(19)))/(y(19)*(1-y(19))*y(19)*(1-y(19)))))-params(3));
g1_v(65)=1;
g1_v(66)=(-(1-params(2)));
g1_v(67)=1;
g1_v(68)=(-1);
g1_v(69)=y(15);
g1_v(70)=1;
g1_v(71)=1-(1-params(5))*params(2)/params(1);
g1_v(72)=(-(y(3)*params(2)/T(3)-1/y(3)));
g1_v(73)=(-(y(19)*(-(1/y(3)))+y(3)*params(2)*y(19)/T(3)));
g1_v(74)=1;
g1_v(75)=1;
g1_v(76)=1;
g1_v(77)=(-y(12));
g1_v(78)=(-(y(12)*y(19)));
g1_v(79)=(-(y(11)*(1-params(4))/y(13)));
g1_v(80)=(-params(13));
g1_v(81)=y(11);
g1_v(82)=(-params(13));
g1_v(83)=1;
g1_v(84)=y(16)-params(2)*y(16);
g1_v(85)=1;
g1_v(86)=(-(y(29)*params(2)*exp(y(31))/params(1)/y(16)));
g1_v(87)=1-T(16)*exp((-params(25))*x(2))*getPowerDeriv(y(28),params(6),1);
g1_v(88)=(-params(29))/(y(29)*y(29))/y(1)-T(23);
g1_v(89)=(-(y(19)*T(7)*T(23)));
g1_v(90)=1-params(2)*y(28)*exp(y(31))/params(1)/y(16);
g1_v(91)=1;
g1_v(92)=(-(T(11)*T(12)));
g1_v(93)=1-params(23);
g1_v(94)=(-T(13));
g1_v(95)=1-params(26);
if ~isoctave && matlab_ver_less_than('9.8')
    sparse_rowval = double(sparse_rowval);
    sparse_colval = double(sparse_colval);
end
g1 = sparse(sparse_rowval, sparse_colval, g1_v, 31, 31);
end
