function [residual, T_order, T] = static_resid(y, x, params, T_order, T)
if nargin < 5
    T_order = -1;
    T = NaN(16, 1);
end
[T_order, T] = dw_AF13.sparse.static_resid_tt(y, x, params, T_order, T);
residual = NaN(31, 1);
    residual(1) = (y(1)) - (params(28)*T(1)^(-params(9)));
    residual(2) = (y(2)) - (params(28)*T(1)^(1-params(9)));
    residual(3) = (y(3)) - (y(3)*(1-params(30))+y(1)*y(6));
    residual(4) = (y(4)) - (1-y(3)*(1-params(30)));
    residual(5) = (y(5)) - (1-y(3));
    residual(6) = (params(29)/y(29)/y(1)) - (y(25)*y(12)-y(7)*(1+y(8))-y(23)/y(3)+T(2)+y(3)*y(23)*params(2)/T(3));
    residual(7) = (y(18)) - (1+y(8)+y(9)*y(10)/T(4)-y(9)*(1-params(30))*params(2)/params(1)*T(5)/T(6));
    residual(8) = (y(19)) - (params(10)/(params(10)+y(18)*(1-params(10))));
    residual(9) = (y(7)*(1+y(8)*y(19))) - (y(19)*T(8)+y(3)*y(23)*params(2)*y(19)/T(3)+(1-y(19))*params(3));
residual(10) = y(24);
residual(11) = y(23);
residual(12) = y(8)-(params(14)-1)/2*T(9)^2-T(10)*(exp(T(9)*(-params(15)))+T(9)*params(15)-1);
residual(13) = y(9)-(params(14)-1)*T(9)-1/params(15)*(1-exp(T(9)*(-params(15))));
    residual(14) = (y(11)) - (T(11)*T(12));
    residual(15) = (y(12)) - (y(11)*params(4)/y(3));
    residual(16) = (y(14)) - (y(11)*y(25)*(1-params(4))/y(13));
residual(17) = y(13)-y(13)*(1-params(5))/params(1)-y(15);
residual(18) = y(21);
residual(19) = y(20);
    residual(20) = (y(22)) - (y(20)+1+y(21)-params(2)*y(20));
    residual(21) = (y(22)) - (y(14)+params(2)/params(1)*(1-params(5))*y(22));
    residual(22) = (y(15)+y(17)) - (y(11)*(1-y(26))-y(3)*y(7)*y(8)-y(15)*y(21)-y(24));
    residual(23) = (y(29)) - (T(13));
    residual(24) = (y(29)) - (1/y(17));
    residual(25) = (y(16)*y(27)) - (params(13)*(y(25)+y(26))-(params(13)-1)+y(16)*params(2)*y(27));
    residual(26) = (y(26)) - (params(12)/2*(y(16)-1)^2);
    residual(27) = (y(27)) - (params(12)*(y(16)-1));
    residual(28) = (y(10)) - (y(16)*params(1));
    residual(29) = (y(28)) - (T(14)*T(16));
    residual(30) = (y(30)) - (y(30)*params(23)+params(24)*x(3));
    residual(31) = (y(31)) - (y(31)*params(26)+params(27)*x(1));
end
