function [T_order, T] = static_resid_tt(y, x, params, T_order, T)
if T_order >= 0
    return
end
T_order = 0;
if size(T, 1) < 16
    T = [T; NaN(16 - size(T, 1), 1)];
end
T(1) = y(6)/y(4);
T(2) = params(29)*(1-params(30))*params(2)/y(29)/y(1);
T(3) = y(3)^2;
T(4) = y(16)^params(11);
T(5) = y(10)^2;
T(6) = y(16)^(1+params(11));
T(7) = 1-y(19)*(1-y(2))*(1-y(19))/(y(19)*(1-y(19)));
T(8) = y(25)*y(12)-y(23)/y(3)+T(2)*T(7);
T(9) = y(10)/T(4)-params(1);
T(10) = 1/params(15)^2;
T(11) = exp(y(30))*y(3)^params(4);
T(12) = y(13)^(1-params(4));
T(13) = y(29)*params(2)*y(28)*exp(y(31))/params(1)/y(16);
T(14) = exp((-params(25))*x(2))*y(28)^params(6);
T(15) = params(1)/params(2)*y(16)^params(7);
T(16) = T(15)^(1-params(6));
end
