function [datingvector] = mbbqinput(data,I,logflag)

%This program serves to apply the bbq algorithm to a given series
%It works on my old panel dataset

[n V]=size(data);
t=n/I;
datingvector = zeros(size(data));
datingvector(isnan(data)) = NaN;

if exist('logflag') && (logflag==1)
    logflag=1;
else
    logflag=0;
end


for i=1:I     % across countries
    time=1+t*(i-1):t*i;
    for v=1:V       % across variables
        if sum(isnan(data(time,v))) < length(data(time,v))-10;
            [datetrough datepeak] = mbbqSF(data(time,v),logflag);
            if datetrough ~=0
                datingvector(datetrough+t*(i-1),v) = -1;
            end
            if  datepeak ~=0
                datingvector(datepeak+t*(i-1),v) = 1;
            end
        end
    end
%     datingvector(t*(i-1)+1,:) = zeros(1,V);
%     datingvector(t*i,:) = zeros(1,V);
end